Strict Standards: Redefining already defined constructor for class bbdb in /home/themes/public_html/forums/bb-includes/db-mysql.php on line 12

Strict Standards: Declaration of BB_Walker_Blank::start_lvl() should be compatible with BB_Walker::start_lvl($output) in /home/themes/public_html/forums/bb-includes/classes.php on line 1127

Strict Standards: Declaration of BB_Walker_Blank::end_lvl() should be compatible with BB_Walker::end_lvl($output) in /home/themes/public_html/forums/bb-includes/classes.php on line 1127

Strict Standards: Declaration of BB_Walker_Blank::start_el() should be compatible with BB_Walker::start_el($output) in /home/themes/public_html/forums/bb-includes/classes.php on line 1127

Strict Standards: Declaration of BB_Walker_Blank::end_el() should be compatible with BB_Walker::end_el($output) in /home/themes/public_html/forums/bb-includes/classes.php on line 1127
Thematic Version 0.9.8 « ThemeShaper Forums

ThemeShaper Forums » Thematic

[closed]

Thematic Version 0.9.8

(4 posts)
  • Started 3 years ago by bigdanprice
  • Latest reply from middlesister
  • This topic is not resolved

  1. Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 440

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 510

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 512


    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 440

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 510

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 512
    bigdanprice

    Member

    Hi Everyone,
    I was just wondering about the latest thematic version 0.9.8, and had a quick question:

    I understand you can get it from here:
    http://developing.thematic4you.com/thematic-development-release/

    Which is fine and dandy, Ive been using it for a while, though Ive just realised today that in Wordpress its called version 0.9.7.8

    I did a fresh download today, it downloads a file called thematic-rev756.zip

    Is this the correct version or am I using the previous.

    Any help you can give is greatly appreaciated.

    I have up till now avoided getting the SVN copy as I didnt want anything too buggy, but it seems that for what Im working on 0.9.8 would be really handy.

    Thanks Chaps.

    Posted 3 years ago #

  2. Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 440

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 510

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 512


    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 440

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 510

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 512
    helgatheviking

    Moderator

    the latest stable release available at that link is not the most cutting edge SVN version... which is rev842. i think that they didn't change the version # in style.css b/c when they release an official 0.9.8 to the repo the version compare wouldn't trigger an upgrade? i'd stick w/ the latest dev release.

    Posted 3 years ago #

  3. Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 440

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 510

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 512


    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 440

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 510

    Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/themes/public_html/forums/bb-includes/kses.php on line 512
    bigdanprice

    Member

    Ah I see. Thanks for the help. I thought I was going mad.

    Im interested to play around with the SVN versions but never seem to have the time.

    Cheers.

    Posted 3 years ago #
  4. middlesister
    Member

    The version of Thematic that is currently in the wordpress repo is 0.9.7.8.

    The next version will be 0.9.8, but before it is released that link provides a development release for download. One can say it is in a between state, not 0.9.7.8 but not yet fully 0.9.8. The development version is named from the SVN revision, i.e. rev756.

    It is true that sometimes the latest SVN can be in a broken state, and that's why Chris put that link up so people can download a version that is stable enough for use. But a lot of development has happened recently in the SVN and he has not yet updated the link. The version number in the SVN files has been bumped to 0.9.8 and it's on the verge of getting submitted to the wordpress repo so I would say it is stable enough to use. The latest revision as of writing is 842, and if you know how to get the latest version from SVN, I think you can do that without too much worry. There are some things that you can take advantage of there. I think for example the theme options that have been updated to use the Settings API is not in rev756, but in rev842.

    It has been tested a bit, but if you do happen to find any bugs or unexpected behaviour, please report it at the googlecode site so it can be fixed as soon as possible.

    In short, from older to newer:

    0.9.7.8 - the wordpress.org version
    rev756 - the development release currently available at http://developing.thematic4you.com/thematic-development-release/
    rev842 - the latest and greatest soon-to-be-0.9.8 in the SVN

    EDIT - hah Helga beat me to it :)

    Posted 3 years ago #

RSS feed for this topic

Topic Closed

This topic has been closed to new replies.


Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method GA_Filter::spool_analytics() should not be called statically in /home/themes/public_html/forums/bb-includes/wp-functions.php on line 586

Strict Standards: Non-static method GA_Filter::spool_this() should not be called statically in /home/themes/public_html/forums/my-plugins/googleanalytics.php on line 183